Package uk.ac.starlink.topcat.plot2

# Interface ZoneId

@Equality public interface ZoneId
Marker interface for identifying one zone of a multi-zone plot.

Since:
  5 Feb 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`getZoneIndex(uk.ac.starlink.ttools.plot2.Ganger<?,?> ganger)`
Returns the index into the zones managed by a given ganger of a zone with this identifier.

## Method Details

### getZoneIndex

int getZoneIndex(uk.ac.starlink.ttools.plot2.Ganger<?,?> ganger)
Returns the index into the zones managed by a given ganger of a zone with this identifier.

Parameters:
  `ganger` - ganger context
Returns:
  index of zone; -1 may be returned if the zone does not belong to the supplied ganger